### Segment

inherits Element
A segment holds all vertical aligned staff elements. Segments are typed and contain only Elements of the same type.

#### Methods

Ms::Element elementAt(int track)

#### Properties

next | Ms::Segment | the next segment in the whole score; null at last score segment (read-only)
nextInMeasure | Ms::Segment | the next segment in measure; null at last measure segment (read-only)
prev | Ms::Segment | the previous segment in the whole score; null at first score segment (read-only)
prevInMeasure | Ms::Segment | the previous segment in measure; null at first measure segment (read-only)
segmentType | Ms::Segment::Type | (Invalid, Clef, KeySig, Ambitus, TimeSig, StartRepeatBarLine, BarLine, ChordRest, Breath, EndBarLine TimeSigAnnounce, KeySigAnnounce, All)
tick | int | midi tick position (read only)
annotations | array[Ms::Element] | the list of annotations (read only)